Introduction

Contains 0 Sub-Categories and 1 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12123 )

ID : 6G8R5Y , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction

The Hach WIMS Direct Server-Side Interface to WonderWare InTouch HMI imports summarized values into Hach WIMS. The Hach HISTD2HW utility queries WonderWare HISTDATA utility via DDE, and creates Comma Separated Value (CSV) files. These CSV files are summarized by the interface and imported it into Hach WIMS database.

Also, the Best System LLC utility creates CSV files and these can be converted to import files for Hach WIMS using the BSYS2HW utility. The Best System LLC creates CSV files with data points at different times. The BSYS2HW utility fills in every minute gap with the previous known value.

For an example and description of the source data, see the article Source Data Example and Description.

ID : 12123 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 10 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) ( Type : HOWTO: , ID : 12041 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Pick Hach WIMS Variables to Import Into ( Type : HOWTO: , ID : 12059 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )
WARNING : Version Validation Failed ( Type : ERRMSG: , ID : 12230 )

ID : 0M2S6P , Online Version


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)

Documentation : How To

In order to use a Hach WIMS Server-Side Interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    • Is the interface definition file uploaded? Click the New button to determine if the definition file is uploaded, and see if it appears in the list of interfaces. If it is there, continue to step 3.
    • If the definition file is not uploaded, click the New Definition button and navigate to the g2_server_lu file located where the interface is installed. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we are using the Random Number Generator interface. Select the name of your interface, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, or you wish to do this later - uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface ...' article in the 'Topics specific to the operation of this Interface' chapter.

keywords : g2,collector,client,server,side
ID : 12041 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Pick Hach WIMS Variables to Import Into

Documentation : How To

Only variables assigned to this interface will be listed. Select the variables to import data into from the source.

HINT: You can hold the CTRL or CTRL/SHIFT buttons down when clicking in order to select multiple entries

Buttons:

Import data for the selected variables.
Select all variables in the list.
Select no variables - deselects all variables from the list.

All other buttons are explained in Using Common Buttons.

ID : 12059 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


WARNING : Version Validation Failed

Documentation : How To

The version of the interface that you are using should match the version of the interface that the collector links to.
If they do not match, you will be presented with the following warning message:

Click OK to continue.

To find out which version of the interface is running, click on the About box:

If you have already defined a Collector within Hach WIMS client that links to the appropriate version, you can select it from the Configuration / Collector Configuration screen:

If there is not a collector in the list that links to the appropriate version, you will need to create a new collector or modify an existing one in Hach WIMS Client.

To modify an existing collector or add a new one, go to your Hach WIMS Client and click on System Setup / System Tables / Enter System / Server-Side Interface Setup from the main menu:

To add a new collector, click on New. To modify an existing one, click on Edit next to the appropriate collector:

If you are editing an existing collector, click on the blank button near the top right hand corner to open up the Definition Browser Screen:

In the Definition Browser screen, click on the appropriate version and click 'Finish':

If you don't see the appropriate version listed, then you need to update your g2_server_lu file. You can do that within the interface by clicking Utilities / Upload definition file to Hach WIMS from the main menu:

keywords : Version,mismatch
ID : 12230 , Type : ERRMSG: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 18 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Last Run Dates ( Type : INFO: , ID : 12213 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test SCADA to Hach WIMS ( Type : INFO: , ID : 12054 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 6A6M8J , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Last Run Dates

Documentation : Main Menu

The Last Run Dates screen lets you view the date and time when the interface successfully imported data for each facility that uses the interface. The screen also lets you change the last run date if need be. The only column that is editable is the Last Run Date. The other columns are there for informational purposes only.

keywords : lastrun,lastran
ID : 12213 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test SCADA to Hach WIMS

Documentation : Main Menu

For testing options, click on the Testing menu option at the top menu bar of the interface.

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, using different statistics (MINIMUM, MAXIMUM, AVERAGE, etc).
This is useful when you want to look at source data on specific dates, WITHOUT doing an actual import. (No data will be overwritten on the Hach WIMS database.)

To do a test, you will need to specify a tag in the Source Tag field.
Then, for each tag, you can specify:

  • The Source Statistic to apply (MINIMUM, MAXIMUM, AVERAGE, etc).
  • The start and end dates you want data fetched.
  • The high & low ranges, as well as the dead-band (optional).
  • The filter tag - a second source tag that acts as a filter to the main selected tag (optional).

Buttons:

Interpret the tag as a double (floating-point) tag and return a floating-point number.
Interpret the tag as a string tag and return the result as a string.
Closes the window.

keywords : source,read,test
ID : 12054 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for Hach WIMS Server-Side Interface Platform ( Type : INFO: , ID : 12033 )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12068 )

ID : 4R8Y4W , Online Version


Release Notes for Hach WIMS Server-Side Interface Platform

Documentation : Release notes

Build 149 (9/16/2015)

  • Menu item Support>Am I licensed for this interface now works with new licensing system.

Build 147 (8/21/2015)

  • Added GetLocationPath to CommonGlobals (4660)

Build 146 (6/2/2015)

  • Fixed error condition when LockDate is not set in the database (4605)

Build 145 (7/3/2014)

  • Minor update of UI for Windows 7 (4431)
  • Minor update of Automated Import Configuration for Windows 7 (4466)

Build 142 (10/1/2013)

  • Improved Time/Date syncing issues experienced by some clients (4207)
  • Added a database connection throttle (performance throttle) advanced configuration option that pauses between source queries allowing other database process events to execute (4267)

Build 137

  • Modified to handle the new licensing for SQL Server 2012.(4202)
  • Handled out of memory error when the interfaces are ran with many variables and date ranges.(4158)
  • A change was added to keep the database connection open during the import process.(4106)

Build 135

  • Changed logging to user interface (LogToUI) to prevent an "Out of Memory" error when extensive amount of text lines are written to the interfaces list box. (4158)

Build 116

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 100

  • Compatible with Hach WIMS 1.3.8 Database version

Build 85

  • Minor change to Advance Configuration to disable Additional Info button if the interface does not support additional info

Build 84

  • Fixed a bug that caused interfaces to omit reading of Hach WIMS variables in rare cases when the natural order of records in the VARDESC table did not equal to 'order by varid' on Oracle platforms(3006)

Build 83

  • Added support for importing of Additional Entry Fields. For interfaces that support this framework feature, go to Advanced Configuration / Additional Info in order to configure you conversion map (3075)
  • Added support for User Interface to display Connection String when clicking on Source Configuration / View Applied Connection String (2821)
  • Added support for User Interface to omit asking for Input Dates for interfaces where selecting dates does not make sense (2806)
  • Fixed a bug that caused Floating Point rounding to overflow on very large numbers resulting in no rounding being performed on numbers (3016)
  • Fixed a bug that caused help.chm to be improperly located by the user interface when interface executable was launched using Windows Shell command (2932)
  • Fixed a bug that caused interfaces of common type SCADA2OPSSQL to halt importing in cases when users went around the program business rules and manually (in the backend) entered OPSROOT.FACILITY.FILENAME field in lowercase (2890)

Build 54

  • Added support for Configuring and Launching a Collector Utility

Build 53

  • Added support for LIMS2OPSSQL type of framework
  • Added support for Unit Conversion

Build 48

  • Fixed an interface crash if the selected OLEDB driver could not be found (2406)
  • Added a MINUTELY mode of scheduling of automated service (2447)
  • Displays a warning message when attempting to import into collector which is linked to incorrect version of g2_lu (2505)
  • Added ability to view and edit Last Run Date for Facility UI (2626)

Build 36

  • Fixed a loophole that may have allowed interface crash when UI log listbox was about to display more than 32000 lines of log (2495)

Build 34

  • Fixed a bug that pulled up incorrect article or category when clicked on submenu Help / Chapters. Platform now requires setting of link constants for every interface custom configuration module (2488)
  • Fixed a bug that took users to incorrect link upon clicking on menu item Support / Check for new Updates (2492)

Build 27

  • Initial release to public

keywords : interface,platform,release notes,server-side, interface common framework
ID : 12033 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release notes

Build 66(8/21/2015)

  • Variable Browser relocated location path field next to variable name (4660)

Build 65(3/30/2015)

  • Variable Browser Select All button no longer selects filtered variables (4582)
  • Variable Browser now displays location path (4582)

Build 64 (7/3/2014)

  • Additional logging added (4159)
  • Added a database connection throttle allowing other processes (programs) to process events to run. (4267)
  • Variable Browser improvements - added quick filter, filter by facility. (4385)
  • Variable Browser UI improvement for Windows 7 (4466)

Build 60

  • Added support for MAXTIME and MINTIME to the import process.(4185)
  • Fixed problem importing text values.(4125)
  • Added user option setting to keep the database connection open during the entire import process.(4106)

Build 57

  • Added a global variable to CommonGlobals to allow custom notes to the stats summary at the end of a run. I added the global variable to CommonGlobals and it is used in CommonImport (4132)

Build 56

  • Added a global variable to CommonGlobals and CommonImport to keep the CustomImport object alive so its connection would stay open. We were having a problem with a special database driver hanging when it was closed. (4106)

Build 55

  • Fixed framework to properly handle Text Parameter type variables (4125)

Build 53

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 47

  • Added logging in CommTAGFilter routine CarryLastValue when verbosity is set to 9

Build 46

  • Changed CommonImport to make sure start date is correct when using the Cache feature in Advanced Settings (only affects certain interfaces) (3261)
  • Changed CommonTAGFilter to scrutinize data returned from CustomTAGFilter (only affects certain interfaces) (3313)
  • Changed CommonTAGFilter to propogate execution error check down to lowest level, so that we can distinguish between an execution error and bad data (only affects certain interfaces) (3426)

Build 41

  • Added to CommonTypeDateManager in Common_SCADA2OPSSQL; added code to compensate for daily var that have less than 1440 min/slot (i.e., 60 min from total day) so that it would get current day if the start and stop times have passed current time (Fortress 2673)

Build 40

  • Added ability to view connection string in CustomConfig form

Build 37

  • Added ability for SCADA2OPSSQL type of interfaces to define a global configuration tree

Build 36

  • Fixed problem with statistics TIMELT, TIMEGT, and TIMEEQ not counting the very first record.

Build 34

  • Added to caching function to support the following statistics for parameters using flat file databases: TOTAL, AVERAGE, MINIMUM, MAXIMUM, FIRST, LAST, DIFF, RANGE, COUNT, INVENTORY, TIMEGT, TIMELT, and TIMEEQ
  • Added to caching function to support the following statistics for text parameters using flat file databases: MINTIME, MAXTIME, FIRST, LAST, COUNT
  • Added to caching function to support the following filter operators on filter tags when using flat file databases: =, <, >, <=, >=, <>, and CYCLESTO

(Note: consult the "Topic specific to the operation of this interface" article "Supported Variable Configuration" to see whether your interface supports these available options or not)

Build 28

  • Added ability to specify adjustment of start date in minutes when running in automated mode. This can be configured under Configuration / Automated Import Configuration (2445)
  • Added support for caching of input to accelerate interface performance of interface that rely heavily on IO (2481)
  • Added support for filtering for OLEDB types of SCADA2OPSSQL interfaces (2457)

Build 10

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release notes )

ID : 12068 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 13 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q12097 ( Type : INFO: , ID : 12127 )
Configure WonderWare InTouch HMI ( Type : HOWTO: , ID : 12106 )
Configuring the Best Systems to Hach WIMS (bsys2hw) utility ( Type : INFO: , ID : 12280 )
Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service ( Type : HOWTO: , ID : 12290 )
Configuring the HistData to Hach WIMS (histd2hw) Utility ( Type : HOWTO: , ID : 12120 )
HISTD2HW Not Logging All Tags (in some cases) ( Type : KNOWNISSUE: , ID : 12340 )
Release notes for BSYS2HW utility (12277) ( Type : INFO: , ID : 12292 )
Release notes for HISTD2HW utility (12161) ( Type : INFO: , ID : 12162 )
Release notes for interface Q12097 ( Type : INFO: , ID : 12124 )
Source Data Example and Description ( Type : INFO: , ID : 12735 )
Supported variable configurations for interface Q12097 ( Type : HOWTO: , ID : 12126 )
Using Inteface Browser Q12122 ( Type : HOWTO: , ID : 12125 )
Wonderware HistData Example Script to CSV ( Type : INFO: , ID : 14570 )

ID : 7K2K0P , Online Version


Configuration - Source Configuration Q12097

Documentation : Topics specific to the operation of this interface

This is the Source Configuration screen for the Hach WIMS Direct Server-Side Interface to WonderWare InTouch HMI. In order for this Interface to work, the utility HISTD2HW must also be configured and running. The HISTD2HW program communicates with WonderWare to create source data files for this interface.

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display parameters.

Fields:

  • Source Data Folder... - This is the folder containing data files produced by HISTD2HW utility (included with this interface).
  • Import from Data Source Files Option - This will allow you to choose whether Hach WIMS gets updated when data files are missing.
    • Import When Files Missing will enable importing variables when one or more of the 1 hour data files is missing. There still has to be at least one data file for the time range specified.
    • All Files Must be Present to Import will not import data if any of the 1 hour files are missing.

Buttons:

  • Test Connection - This will test the connection to the folder selected in the configuration field.

NOTE: The next two buttons are used to start a utility to collect data for this interface. SELECT ONE METHOD AND ONLY ONE.

  • Start HISTD2HW - This will start the HISTD2HW utility. This utility uses DDE technology to import from HISTDATA.EXE on an hourly basis and cannot run as a service. A user must be logged on at all times.
  • Start BSYS2HW - This will start the BSYS2HW utility. This utility is used to import data from the Best Systems utility on a daily basis. This utility can be ran as a service, see documentation: Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service.

NOTE: If the utility is already running, and you click the Start button again - you will start another instance of the utility. Check your system tray for the Hach icon: . Make sure one and only one utility is running at a time.

The other buttons are explained in Using Common Buttons.

ID : 12127 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configure WonderWare InTouch HMI

Documentation : Topics specific to the operation of this interface

You will need to accomplish the following steps to configure signal tags in WonderWare InTouch HMI. This interface was tested against WonderWare InTouch version 7.1.

When you run WonderWare InTouch WindowMaker you will see something like the screen below (this screen was taken from the WonderWare DEMOAPP1).

Double click on Tagname Dictionary to pull up the tagnames. Below we have navigated to a Tagname ProdLevel and me made sure we collect data historically by checking Log Data:

In Hach WIMS, Edit/View Variable for this tag, and click on the Interface tab. Now enter ProdLevel for the Signal Tag:

keywords : Configure,WonderWare,InTouch,HMI
ID : 12106 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuring the Best Systems to Hach WIMS (bsys2hw) utility

Documentation : Topics specific to the operation of this interface

The bsys2hw utility (Q12277) is designed to read text files generated by Best System LLC's utility. The bsys2hw utility must have access to the folder containing the text files generated by the Best Systems utility and be able to access an output folder. From there, the output files are consumed by the interface Q12097 into Hach WIMS client.

NOTE: Before using this utility, you must extract the files from bsys2hw.zip. The files can be extracted anywhere and contain: bsys2hw.exe, ntinterface.exe, and ntinterface.ini. The ntinterface files allow you to run bsys2hw as a Service, see the article: Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service.

Note: It is possible to run this program more than once! Check the system tray to ensure only one instance of the program is running.

The utility resides as an icon in the system tray as this icon - [image]. It has three different modes:

- Green for when the service is running, once an hour it will attempt to connect with histdata to create data files.

- Yellow means the service has been pause in order to run the utility in manual mode.

- Red means the service is paused.

When you right click on this icon, you will see the following options:

About HistD2HW will display information about this utility.

Restore will display a user interface for you to change configuration and settings, reset run times, manually create data files, shows the status of the utility, etc.

Minimize is enabled when the user interface is already opened and you want to close it.

Exit will terminate the utility, completely shutting down it's operations.

Main Display.

This is the main display when you click the Restore button from the icon window.

Command Buttons.

These are the command buttons available, let's go through each one.

1. Configuration - Basic settings for the behavior of this tool.
2. Manual Run - Manual create CSV files for a given time period.
3. Pause/Run - Allows you to pause the tool from running, or Run the tool automatically.
4. Clear Display - Clears the display screen.
5. Help - Brings up a help screen.
6. Close - Closes the display and attempts to start the tool's automatic run.

Below is detailed information for each of these options:

1. Configure Settings.

The first time this utility runs, it does not know how WonderWare was configured - so you will need to tell it where to find files. This is the first screen you will see:

Let's look at each section, one at a time.

Configuration Command Buttons.

There are four (4) command buttons at the top of the screen.

Apply Settings -This applies the settings but does not update the configuration file. When you rerun the configuration window, all your changes will be reset back to what is in the configuration file.

Save Settings - This will apply the settings and save them to a configuration file.

Help - This will bring up this article.

Close - Closes the display, does not apply nor save settings.

Input Folder.

This is where Best System CSV files are located.

Output Folder.

This is where the CSV files created will be move from the cache folder. The CSV files created for Hach WIMS are initially created under a cache folder. This will allow the utility to continue creating CSV files if the output path is not available (for example, if it is a network drive).

All the tags that Best Systems utility is collecting data for will be pulled into the Hach WIMS CSV files.

Execution Parameters.

Enter time of day to run automatically - Enter the time of day to run this utiltiy. It will run once per day. The format is hh:mm where 'hh' is hours and a number between 00 and 23 (military time) and 'mm' is a number between 00 and 59.

Level of detail to log - This is how verbose you would like to see information displayed in the main screen. The screen will automatically clear itself when it has filled up. A log file will keep a copy of information in text format.

Keep Log files for # days - This is how old the log files will be kept. Any files older than the number listed will be purged.

Add to Startup Folder

This button will add a shortcut to the Startup folder. This means that once properly configured, this utility will run automatically if the computer should reboot.

Note: If you do not do this step, and your computer reboots - you will need to remember to run this utility manually.

3. Manual Run Command Button.

Manual Run allows you to create (or recreate) data files for a specified time range. First, you are asked the start and end date and time.

When you click the Run button, the utility will begin creating hourly files for the time span listed in the two dates. These must be "mm/dd/yyyy" format where:

mm = Month (values 1 through 12)
dd = Day
yyyy = Year

So '15 March, 2009' would equate to '3/15/2009'.

4. Pause/Run Command Button.

This command button will pause the service if it is running, or attempt to start the service if it is paused. The configuration must be completely finished before the service can run. To test the configuration, simply click the Manual Run button and attempt to create data files for one day in the past.

5. Clear Command Button.

This command simply clears the dialog screen, but does not affect the log files.

6. Help Command Button.

This will bring up the help file if it is available. This is looking for the Help.chm file packaged with the Wonderware InTouch interface.

7. Close Command Button.

This will close the dialog box and start the service. If configured properly the sevice will start and the Hach icon will turn green.

keywords : best,system,csv
ID : 12280 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service

Documentation : Topics specific to the operation of this interface

It is possible to run the BSys2HW utility as an unattended service. Before attempting to do so, you should be a little familiar with the following:

  1. Microsoft Window's services; how to install, start, and stop a service
  2. How to look up Processes running, using Task Manager
  3. Running a program with command line arguments

This document will explain how to the various tasks, and it is important you understand what you are doing. Read over each step carefully before attempting.

I. Getting started.

A. Copy the file bsys2hw.zip to the computer you want it to run it on. We recommend running this program on the same physical computer where the Best System files are located. Extract the files into a suitable folder. There are three files: bsys2hw.exe, ntinterface.ini, and ntinterface.exe.

B. Run the bsys2hw.exe utility. The first time will bring up the configuration display. Configure the utility according to the directions in the bsys2hw utility configuration document. If you already have some files created by Best Systems utility, then run the bsys2hw utility for all the days that you have files for. The day of the file is in it's name. The output folder will contain a file for every hour of the days selected.

C. Close the display and you will notice the icon [image]. Right click on it and select Exit to terminate this program.

D. Click on the Window's Start menu button and select Run... to run a program. Click Browse and navigate to the folder where the bsys2hw files were extracted. Select the ntinterface.exe file and press ok. Type a space at the end of the line and add -i (a dash and the letter i). The Run... box should now look something like:

E. Click OK button. The bsys2hw is now running as a service. Run Services and look for BSys2HW to make sure the service has started. Once done, run Task Manager and look for the utility under Processes.

II. Changing configuration.

A. Open Services and look for BSys2HW. Stop this service. You can verify it has stopped by looking under the Processes tab in Task Manager.

B. Run the bsys2hw.exe program and change the configuration according to the bsys2hw utility configuration document.

C. After making corrections to the configuration, close the display. Exit the program by right clicking the tray application and select Exit.

D. Restart the BSys2HW service.

III. Uninstalling the utility.

A. Open Services and look for BSys2HW. Stop this service. You can verify it has stopped because it should disappear from Processes in Task Manager (shown above in II Changing configuration.)

B. Open a command window and enter sc delete BSys2HW to remove the service.

C. Delete the files and folders where bsys2hw.exe resides.

keywords : bsys2hw,service
ID : 12290 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuring the HistData to Hach WIMS (histd2hw) Utility

Documentation : Topics specific to the operation of this interface

The HistData to Hach WIMS utility (HISTD2HW, Q12161) communicates with WonderWare's histdata.exe DDE server and requests data files on an hourly basis. The files created from this process are need in order for the InTouch Import program to upload data. This utility must be on the same computer as the WonderWare histdata.exe program. It does not have to be on the same computer as the InTouch Import program (12097.exe).

Note: It is possible to run this program more than once! Check the system tray to ensure only one instance of the program is running.

Read this article when WonderWare resides on a different computer.

The utility resides as an icon in the system tray as this icon - [image]. It has three different modes:

- Green for when the service is running, once an hour it will attempt to connect with histdata to create data files.

- Yellow means the service has been pause in order to run the utility in manual mode.

- Red means the service is paused.

When you right click on this icon, you will see the following options:

About HistD2HW will display information about this utility.

Restore will display a user interface for you to change configuration and settings, reset run times, manually create data files, shows the status of the utility, etc.

Minimize is enabled when the user interface is already opened and you want to close it.

Exit will terminate the utility, completely shutting down it's operations.

Main Display.

This is the main display when you click the Restore button from the icon window.

Command Buttons.

These are the command buttons available, let's go through each one.

1. Configure DDE Connection - Configuration for the DDE communications to WonderWare InTouch HISTDATA tool.
2. Configure Misc. Settings - Basic settings for the behavior of this tool.
3. Manual Run - Manual create CSV files for a given time period.
4. Pause/Run - Allows you to pause the tool from running, or Run the tool automatically.
5. Clear Display Log - Clears the display screen.
6. Help - Brings up a help screen.
7. Close - Closes the display and attempts to start the tool's automatic run.

Below is detailed information for each of these options:

1. Configure DDE Connection.

The first time this utility runs, it does not know how WonderWare was configured - so you will need to tell it where to find files. This is the first screen you will see:

Let's look at each section, one at a time.

Configuration Command Buttons.

There are four (4) command buttons at the top of the screen.

Apply Settings -This applies the settings but does not update the configuration file. When you rerun the configuration window, all your changes will be reset back to what is in the configuration file.

Save Settings - This will apply the settings and save them to a configuration file.

Help - This will bring up this article.

Close - Closes the display, does not apply nor save settings.

DDE Link Topic.

This is the same name entered when configuring an Access Name for Hist Data:
(The following is a screen shot from WonderWare InTouch WindowMaker, select Configure -> Access Names -> either add or modify existing entry for HistData)

The Access Name can be anything the user decides.

The Application Name is 'HistData'. The Topic Name is whatever you want (our example shows 'ViewStream1') and you must select DDE for Which protocol to use. Notice the Topic Name in WonderWare must be the same as the Link Topic in the histd2hw configuration.

Notice in the following options, there is a box to the far right with three dots (elipse button). This enables you to browse to the folders and files you need to look for.

InTouch LGH Database Folder.

This is the folder containing the InTouch database files which have a suffix of LGH. Typically, these have the year-month-day for the filename - so a file for 3 April, 2009 would be '090403.LGH'.

InTouch Tagname File (*.x).

This is the file that contains all tagnames in the system, typically named 'tagname.x'. This file is used to determine which tags are being logged by WonderWare and the folder is required to perform DDE communication. If you do not select a file, the utility will automatically use 'tagname.x'.

HISTDATA.EXE Folder.

This is the folder where histdata.exe (DDE server program) is located. Histd2hw will restart histdata.exe if it is not already running.

InTouch Output Folder.

This is where histd2hw will move the files once histdata has created them.

Tag Collection.

This option provides users with the capability to collect all historical data or just the tags they need. Click the check box to get all historical data. Click the button Configure which Tags to Collect in order to select which tags to collect data from WonderWare. Clicking the button will bring up this display:

All the tags that WonderWare is collecting data for can be seen on the left hand display text box. The four buttons in the middle allow the user to move one, several, or all tags into (and out of) the display text box on the right. Whatever tags are listed in the right hand display text box will be the ones that HISTD2HW will collect data.

The single < (less than) and > (greater than) buttons will let you move one or several tags into or out of the right hand display box.

The double << (less than) and >> (greater than) buttons will either move all tags into or out of the right hand display box.

Pressing OK will update the list of tags in memory only. You must Apply and Save any changes in order for this utility to use them.

2. Configure Misc. Settings Command Button.

The purpose of the Settings command button is to set certain values for how you need histd2hw to behave. Clicking on the settings command button brings up this display:

Settings Command Buttons.

These behave the same as the command buttons for Configuration (Please see section above).

Execution Parameters.

Number of minutes after the hour to begin - Enter a number between 0 and 59 (inclusive) for the time histd2hw will begin processing data files.

Level of detail to log - This is how verbose you would like to see information displayed in the main screen. The screen will automatically clear itself when it has filled up. A log file will keep a copy of information in text format.

Keep Log files for # days - This is how old the log files will be kept. Any files older than the number listed will be purged.

Add to Startup Folder

This button will add a shortcut to the Startup folder. This means that once properly configured, this utility will run automatically if the computer should reboot.
Note: If you do not do this step, and your computer reboots - you will need to remember to run this utility manually.

3. Manual Run Command Button.

Manual Run allows you to create (or recreate) data files for a specified time range. First, you are asked the start and end date and time.

When you click the Run button, the utility will begin creating hourly files for the time span listed in the two dates. These must be "mm/dd/yyyy hh:nn" format where:

mm = Month
dd = Day
yyyy = Year
hh = Hour
nn = Minutes

Note: although you can enter minutes, the program truncates the time to the hour. In our example, the Start Date is midnight of 6 April, 2009 and the End Date is 11 PM for 6 April, 2009.

4. Pause/Run Command Button.

This command button will pause the service if it is running, or attempt to start the service if it is paused. The configuration must be completely finished before the service can run. To test the configuration, simply click the Manual Run button and attempt to create data files for one day in the past.

5. Clear Command Button.

This command simply clears the dialog screen, but does not affect the log files.

6. Help Command Button.

This will bring up the help file if it is available. This is looking for the Help.chm file packaged with the InTouch interface.

7. Close Command Button.

This will close the dialog box and start the service. If configured properly the sevice will start and the Hach icon will turn green.

NOTE: It is possible to run this application utility on a different computer. Contact Hach WIMS Support at 1-800-677-0067 for details.

keywords : Configuring,the,HistData,to,Hach,WIMS,Utility
ID : 12120 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


HISTD2HW Not Logging All Tags (in some cases)

Documentation : Topics specific to the operation of this interface

If HISTD2HW does not log all your tags, first verify this by Restoring the user display to the utility

Then:

  1. Click on Configure DDE Connection
  2. Uncheck the Collect Data for All Trended Tags in Tagname File check box
  3. Click the Configure which Tags to Collect button

We see our list of available tags is shorter than we expected:

Close all the windows for the HISTD2HW utility. Open the log folder that is located in the same place as the HISTD2HW.EXE:

There should be a file substantially bigger now, and if you sort by Date Modified, it should be at the top of the list:

Open this log file up and you will see several lines similar to these:

We can see two lines were SKIPPED and one was ADDED. we can see what the tag names are, and we can see something called Trend Byte: with a number.

In our example, we have verified that p0_cntl_office_motn_act is being trended and should have shown up in our utility, but it didn't. We notice that the Trend Byte is '8', and this is the number we need to add to our configuration file.

OPen the folder where the HISTD2HW.EXE program is located and notice there is a HISTD2HW.INI file:

Open this file and look for the line that has VALIDTRENDBYTES= on it (if there isn't one, just add it):

We need to add the Trend Byte number from before (8) to this line, so now our file looks like:

(NOTE: a valid Trend Byte number must be between 0 and 255)

After going through the Log file above, we also notice that we need to include Trend Byte #4 as well. To do this we need to seperate the 8 from the 4 (these numbers can range between 0 and 255, so 84 is a valid number). To seperate entries we include a colon symbol ":"

Now my file looks like the following:

I save and close the HISTD2HW.INI file and rerun the utilty. Bring up the display and click on Configure DDE Connection so I can look at the tags loaded (as we did earlier):

Now we can see more tags. Default Valid Trend Byte numbers are: 1, 2, 3, 6, 9, 17, and 25

keywords : HISTD2HW,Not Showing All Tags
ID : 12340 , Type : KNOWNISSUE: , Online Version , Help us improve this article : Leave Feedback


Release notes for BSYS2HW utility (12277)

Documentation : Topics specific to the operation of this interface

Version 1.0.0 (Build 14, Release on 6/15/09)

  • Initial release

keywords : Best,Systems,csv
ID : 12292 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for HISTD2HW utility (12161)

Documentation : Topics specific to the operation of this interface

Hach WIMS HISTD2HW Utility

Version 1.0.7 (Build 46, Released on 3/25/11)

  • Fixed problem when the tagnames are blank when the collector is running (i.e., tagname in config file is blank)

Version 1.0.6 (Build 45, Released on 2/3/10)

  • Fixed problem when WonderWare tagname.x file has null, empty or blank tagnames (3428)

Version 1.0.5 (Build 43, Release on 6/26/09)

  • Added feature to HISTD2HW utility to allow customers to add Trend Bytes that are being logged but don't show up.

Version 1.0.4 (Build 42, Release on 6/15/09)

  • Fixed problem not being able to move files.

Version 1.0.3 (Build 41, Release on 5/12/09)

  • Fixed problem when WonderWare shuts down unexpectedly (such as power outage) and HISTDATA errors out when trying to create CSV files. An empty file still gets created but since it errors out with no error code, the empty file gets moved along with the rest. Utility now senses this problem and deletes the empty CSV file. (2613)
  • Fixed problem when moving files that already exist.

Version 1.0.2 (Build 40, Release on 5/7/09)

  • If utility starts HistData.exe, run in minimized mode (2596)
  • Fixed problem trying to copy files to Cache folder (2599)
  • Added error check to see if Date and Time exist in CSV file, if not try to recreate the file once, if still can't then delete file and log (2600)
  • Changed browser and utility to acknowledge tags that are logged and are using Retentive Value and/or Retentive Parameter (2601)

Version 1.0.1 (Build 39, Release on 4/22/09)

  • Added the ability to select tags to collect data for Hach WIMS (2518)

Version 1.0.0 (Build 33, Release on 4/14/09)

  • Initial release

keywords : HISTD2HW
ID : 12162 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for interface Q12097

Documentation : Topics specific to the operation of this interface

Version 8.0.0 (Released 12/14/2022)

  • Updated to the latest Common Framework (v8)
    • Upgraded to Spread 8
    • Added CSV Support and Upload to Rio
    • Updated Licensing
    • Update Last Run Date updates Default Last run in xml file when importing vars from CSV file
    • Feature added to not overwrite data previously written to WIMS
    • Added ability to select variables from CSV file

Version 1.2.1 (Released 2018-02-21)

  • Update for Common Framework changes (license issues)
  • Removed Hexagora Controls

Version 1.2.0 (Released on 12/4/2015)

  • Fixed DIFF function (4623)
  • Upgraded interface to Common Framework Build 149

Version 1.1.9 (Build 175, Released on 1/7/2015)

  • Fixed date time rounding issue in the interface which had not imported all time slots (4535)

Version 1.1.8 (Build 166, Released on 1/23/2013)

  • Updated to the latest common framework
  • Fixed problem uploading the G2_Server_LU file

Version 1.1.7 (Build 160, Released on 5/11/2012)

  • Added funtionality for SQL Server 2012 support

Version 1.1.6 (Build 159, Released on 3/14/2012)

  • Corrected problem in SCADA Framework where Low Range and High Range filters were not always applied correctly (4178)

Version 1.1.5 (Build 141, Released on 3/24/2011)

  • Corrected problem testing connection to URL types that use '\\servername\folder' for the source data folder

Version 1.1.4 (Build 134, Released on 9/2/2010)

  • Upgraded to Common Framework build 116, SCADA Framework build 53, Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.1.3 (Build 119, Released on 7/30/2010)

  • Upgraded interface to Common Framework Build 100

Version 1.1.2 (Build 105, Released on 2/8/2010)

  • Repackaged to include distribution files

Version 1.1.1 (Build 104, Released on 2/3/2010)

  • Fixed problem with HistD2HW utility when tagname.x file has blank, empty, or null tag names (3428)
  • Fixed problem in framework, invalid start date when using cache in advanced settings (3261)

Version 1.1.0 (Build 99, Released on 12/17/2009)

  • Repackaged to include utilities

Version 1.0.9 (Build 97, Released on 10/21/2009)

  • Upgraded interface to Common Framework Build 85

Version 1.0.8 (Build 80, Released on 8/10/2009)

  • Corrected problem finding tag names from source data files with mixed cases and spaces

Version 1.0.7 (Build 76, Released on 6/26/2009)

  • Added feature to HISTD2HW utility to allow customers to add Trend Bytes that are being logged but don't show up.

Version 1.0.6 (Build 75, Released on 6/15/2009)

  • Updated interface to include launching BSYS2HW utility.
  • Browser changed to allow user to look at Trended tags or All tags.
  • Added BSYS2HW utility to package.

Version 1.0.5 (Build 74, Released on 6/12/2009)

  • Updated framework because changes were needed in order to accomplish LIMS2OPSSQL common type (2693)

Version 1.0.4 (Build 61, Released on 5/12/2009)

  • Added statistics INVENTORY, TIMEGT, TIMELT, TIMEEQ
  • Added support for text parameter source tags with statistics FIRST, LAST, COUNT, MINTIME, and MAXTIME
  • Added filtering by tag with the following operators: =, <, >, <=, >=, <>, anc CYCLESTO
  • Fixed utility to delete CSV files that HISTDATA makes when it errors out (files are empty except for header line). This happens when the WonderWare system has been down for some time, such as a power outage.

Version 1.0.3 (Build 58, Released on 5/6/2009)

  • Changed browser and utility to acknowledge tags that are logged and are using Retentive Value and/or Retentive Parameter

Version 1.0.2 (Build 57, Released on 4/30/2009)

  • Rebuilt because of changes made to the framework
    • LastRunDate Advancement

Version 1.0.1 (Build 55, Released on 4/23/2009)

  • Updated HISTD2HW utility to allow users the option to select tags from WonderWare InTouch or use all.
  • Changed Interface to log detailed information to the log file instead of the user display where appropriate.

Version 1.0.0 (Build 50, Released on 4/14/2009)

  • Initial release

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release notes )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Category : Documentation : Release notes )

ID : 12124 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source Data Example and Description

Documentation : Topics specific to the operation of this interface

CSV supported format

The CSV filenames must be in the format 'yyyymmddhh.CSV'. 'yyyy' is the year, 'mm' is the numeric month, and 'dd' is the numeric day. The 'hh' is the hour of the data. Each file contains one hour of data and there are 24 files per day. For example, 12 July, 2010 at midnight will have a filename: 2010071200.CSV, and 1 AM of the same day will be 2010071201.CSV, etc...

The CSV files will look similar to the following (when opened in Excel):

The $DATE and $TIME must appear as shown - in two separate columns with a leading dollar sign and all capital letters. This must be the very first line in the file.

The third column and continuing to the right will have the tag names. As you can see in our example, tag names can have spaces, however this is not recommended.

Starting with the second row is the date, time, and data points for each tag, this must start at the second line. There can be no blank lines within the data. Values can be numeric or text, but the Hach WIMS client variable description must match the data type. Only certain statistics will work with text parameters. These are: First, Last, Mintime, Maxtime, and Count.

Click here for example CSV files.

ID : 12735 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported variable configurations for interface Q12097

Documentation : Topics specific to the operation of this interface

Variable Setup for the Hach WIMS Direct Server-Side Interface to WonderWare InTouch.

To configure a variable to get values from WonderWare InTouch, select Edit/View Variables in the WIMS client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the WonderWare InTouch interface name (name given when configuring the interface).

Now you are ready to configure a signal tag for the WonderWare InTouch historian system. The Tag name and a Statistic are all that are mandatory.

  • This is the tag name in the WonderWare InTouch historian system. The historian referres to it as the Tagname.
  • This is a listing of all the statistics supported by this interface. This includes the following statistics for a specified time period. For the example queries, we used filename '09232008', date of '09/23/2008' and tag name used is 'NR1_LVL':

    AVERAGE

    Take the average of the data points

            select AVG([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and [NR1_LVL] is not null and ([$time] > #00:00:00# AND [$time] <= #23:59:59#)

    TOTAL

    Take the sum total of all values

            select SUM([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null

    MINIMUM

    Get the minimum value

    select MIN([NR1_LVL] + 0) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null

    MAXIMUM

    Get the maximum value

            select MAX([NR1_LVL] + 0) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null

    FIRST

    Get the first value

             select TOP 1 ([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null Order by [$date], [$time]

    LAST

    Get the last value

             select TOP 1 ([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null Order by [$date] DESC, [$time] DESC

    DIFF

    Calculate the difference between the first and last values. If the first value is larger than the second then it will perform the following calculation: (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

    Ceil will cause the value to round up
    1. Get FIRST value
    2. Get LAST value
    3. RESULT = LAST - FIRST
    4. IF RESULT < 0 THEN (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

    RANGE

    Calculate the absolute value of the difference between the minimum and maximum values
    1. Get MIN value
    2. Get MAX value
    3. Get ABS(MIN - MAX)

    COUNT

    Counts the number of data points.

             select COUNT([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #12:00:48# AND [$time] <= #23:59:00#) and [NR1_LVL] is not null

    TIMEGT(x)

    Counts the number of data points greater then 'x'. NOTE: You must know the data logging frequency in the CSV files to understand the units this function returns. Typically, data is logged minutely in the CSV files, therefore this function returns the number of minutes. However, if data in the CSV files is logged every 5 minutes, this function returns the number of 5 minute periods the value is greater than x. You could use a Scale Factor of 5 to convert to minutes.

            select COUNT([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #12:00:48# AND [$time] <= #23:59:00#) and [NR1_LVL] is not null AND [NR1_LVL] > x

    TIMELT(x)

    Counts the number of data points less than 'x'. NOTE: You must know the data logging frequency in the CSV files to understand the units this function returns. Typically, data is logged minutely in the CSV files, therefore this function returns the number of minutes. However, if data in the CSV files is logged every 5 minutes, this function returns the number of 5 minute periods the value is less than x. You could use a Scale Factor of 5 to convert to minutes.

            select COUNT([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #12:00:48# AND [$time] <= #23:59:00#) and [NR1_LVL] is not null AND [NR1_LVL] < x

    TIMEEQ(x)

    Counts the number of data points equal to 'x'. NOTE: You must know the data logging frequency in the CSV files to understand the units this function returns. Typically, data is logged minutely in the CSV files, therefore this function returns the number of minutes. However, if data in the CSV files is logged every 5 minutes, this function returns the number of 5 minute periods the value is equal to x. You could use a Scale Factor of 5 to convert to minutes.

            select COUNT([NR1_LVL]) from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #12:00:48# AND [$time] <= #23:59:00#) and [NR1_LVL] is not null AND [NR1_LVL] = x

    INVENTORY

    Running total of used volume. Only decreases in value are counted. Use the DEADBAND option in Hach WIMS variable setup to eliminate erroneous readings due to noise or vibrations.

    select [NR1_LVL] from [09232008.CSV] where ([$date] >= #09/23/2008# AND [$date] <= #09/23/2008#) and ([$time] > #00:00:00# AND [$time] <= #23:59:59#) and [NR1_LVL] is not null

    Goes through each record to determine whether to add the value to a running total or not. Based on whether the value has decreased and the decrease was greater than the DEADBAND.

    MAXTIME | The time the maximum value occurred (formatted as mm/dd/yyyy hh:mm:ss). ONLY works with Text Parameters.
    MINTIME | The time the minimum value occurred (formatted as mm/dd/yyyy hh:mm:ss). ONLY works with Text Parameters.

  • This is the value to multiply the result by when using parameter variable types. Commonly used to convert from one unit base to another. For example to convert gallons per minute (GPM) to gallons per day (GPD), set the scale factor to 1440 (1440 minutes per day).

  • All three fields must have numeric values or the word None (as shown). The Low Range and High Range will crop data from the source. For example to eliminate negative numbers from a particular tag, set the Low Range to 0 (zero) - this will get any values equal to or greater than 0 (zero). The Deadband is used for the statistic Inventory and will elliminate noise levels up to the value specified. For example, if you enter .5 next to Deadband, any value change of .5 or less, will be ignored.

    • Start Time will set the beginning of the time slot for this variable.
    • Stop Time will set the ending time for the time slot.
    • Same Day as Start is only used by daily variables and it means the stop time is on the same day as the start time.
    • Day After Start is also only used by daily variables and it means the stop time is a day after the start time.

  • Allows you to filter data based on another tag. For example, flow rate while not in backwash, but during backwash we don't want flow rates uploaded to Hach WIMS.
    • Node:Tag.Field is the node, tag, and field associated with what you want to filter by, in our example it would be the backwash state.
    • Middle field is the filter operator. This can be <, >, =, <=, >=, <>, or CYCLESTO.
    • Last fiedl is the filter value. So when the 'backwash state' is greater than 0 (not backwashing) then our system will get values. When the value drops to zero or negative, do not get values.

ID : 12126 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Inteface Browser Q12122

Documentation : Topics specific to the operation of this interface

From the Browser screen, select a tag by clicking on the appropriate tag and press the OK button. Cancel will leave the tag in Hach WIMS unchanged.

This will only show tags that are trended. If you use the histd2hw utility to import files, then you need to look Trended tags. If you use the bsys2hw utility, you will need to look at All tags. Click the drop down for Show Tags to change what tags you see:

So in our little example, when we click All, all the tags in our simulation show up:

ID : 12125 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Wonderware HistData Example Script to CSV

Documentation : Topics specific to the operation of this interface

For users where DDE is not working Wonderware (or DDE is not preferred), a Wonderware Script can be used to create CSV files that can be imported to WIMS.

The following script is included for information only. Hach is providing this script only as an example. Hach cannot not verify, support, or guarantee the results or outcomes from using this code. Use at your own risk.

Some functions used in the script require The FactorySuite Technical Support script function library (such as the CreateFilenameFromDate). The script library contains script functions for Wonderware® InTouch™ 6.0 and later for Windows NT 4.0. If the script library is not already installed, you may need to download wwtech32.zip from the Wonderware Knowledge Base. Then, unzip the file and move Wwtech32.dll and Wwtech32.wdf into your InTouch installation directory.

Write CSV for WIMS script

HDWDataDir="c:\logfiles\historical"; {directory where Wonderware logfiles reside}

HDWDBDir="c:\apps\factorysuite\intouch\shawano"; {Wonderware application directory}

HDWStartDate=StringFromTimeLocal((($Date*86400)+($Time/1000) - 86400),1); {Wonderware function to calculate the start date of the csv file from the local computer time}

HDWStartTime=$TimeString; {Start time - current time from Wonderware}

HDWDuration="24h"; {Duration of CSV file}

HDWInterval="10m"; {Time interval between data points}

HDWFilename =CreateFilenameFromDate("mdy","C:\logfiles\historical\ops_data\", ".csv", 0); {Wonderware function to create the csv filename from the current date}

{FLOW DATA TRANSFER TO CSV FILE}

HDWTags="$date,$time,CA_SHAWANO_FLOW_VAL,CA_SHAWANO_FLOW_TOT_VAL,AI_3_FM315_FLOW_TOT_VAL,AI_3_FM315_FLOW_MGD_VAL,CA_3_FM315_FLOW_GPM_VAL,+";

HDWTags1="AI_3_FM316_FLOW_MGD_VAL,CA_3_FM316_FLOW_GPM_VAL,AI_3_FM316_FLOW_TOT_VAL,AI_8_FM821_FLOW_VAL,+";

HDWTags2="AI_8_FM821_FLOW_TOT_VAL,CA_8_FM822_FLOW_MGD_VAL,AI_8_FM822_FLOW_GPM_VAL,AI_8_FM822_FLOW_TOT_VAL,+";

HDWTags3="CA_8_FM823_FLOW_MGD_VAL,AI_8_FM823_FLOW_GPM_VAL,AI_8_FM823_FLOW_TOT_VAL,CA_8_FM824_FLOW_MGD_VAL,AI_8_FM824_FLOW_GPM_VAL,+";

HDWTags4="AI_8_FM824_FLOW_TOT_VAL,CA_8_SUM_RAS_FLOW_MGD_VAL,AI_8_SUM_RAS_FLOW_GPM_VAL,AI_8_SUM_RAS_FLOW_TOT_VAL,+";

HDWTags5="AI_8_FM1105_FLOW_VAL,AI_8_FM1105_FLOW_TOT_VAL,AI_11_FM1105_FLOW_VAL,+";

HDWTags6="AI_11_FM1105_FLOW_TOT_VAL,AI_11_FM1106_FLOW_VAL, AI_11_FM1106_FLOW_TOT_VAL,AI_12_FM1201_FLOW_MGD_VAL,CA_12_FM1201_FLOW_GPM_VAL,+";

HDWTags7="AI_12_FM1201_FLOW_TOT_VAL,AI_12_FM1503_FLOW_MGD_VAL,CA_12_FM1503_FLOW_GPM_VAL,AI_12_FM1503_FLOW_TOT_VAL,+";

HDWTags8="AI_12_FM1214_FLOW_VAL,AI_12_FM1214_FLOW_TOT_VAL,AI_12_FM1504_FLOW_MGD_VAL,CA_12_FM1504_FLOW_GPM_VAL,AI_12_FM1504_FLOW_TOT_VAL,+";

{RUNTIME DATA TRANSFER TO CSV FILE}

HDWTags9="AI_3_P301_RUNTIME_VAL,AI_3_P302_RUNTIME_VAL,AI_3_P303_RUNTIME_VAL,AI_3_P304_RUNTIME_VAL,AI_3_MPE307_FOR_RUNTIME_VAL,+";

HDWTags10="AI_3_MPE308_FOR_RUNTIME_VAL,AI_3_MPE309_RUNTIME_VAL,AI_3_MPE310_FOR_RUNTIME_VAL,AI_3_MPE310_REV_RUNTIME_VAL,+";

HDWTags11="AI_3_MPE311_RUNTIME_VAL,AI_3_MPE312_FOR_RUNTIME_VAL,AI_3_MPE312_REV_RUNTIME_VAL,AI_3_MPE317_RUNTIME_VAL,AI_3_MPE319_RUNTIME_VAL,+";

HDWTags12="AI_3_P321_RUNTIME_VAL,AI_3_MPE401_RUNTIME_VAL,AI_3_MPE402_RUNTIME_VAL,AI_3_MPE403_RUNTIME_VAL,AI_3_MPE404_RUNTIME_VAL,+";

HDWTags13="AI_3_P405_RUNTIME_VAL,AI_5_B501_RUNTIME_VAL,AI_5_B502_RUNTIME_VAL,AI_5_B503_RUNTIME_VAL,AI_5_B507_RUNTIME_VAL,+";

HDWTags14="AI_5_B508_RUNTIME_VAL,AI_5_B509_RUNTIME_VAL,AI_5_B510_RUNTIME_VAL,AI_8_MPE701_RUNTIME_VAL,AI_8_MPE702_RUNTIME_VAL,+";

HDWTags15="AI_8_P801_RUNTIME_VAL,AI_8_P802_RUNTIME_VAL,AI_8_P803_RUNTIME_VAL,AI_8_P804_RUNTIME_VAL,AI_8_P807_RUNTIME_VAL,+";

HDWTags16="AI_8_P808_RUNTIME_VAL,AI_8_P809_RUNTIME_VAL,AI_8_P812_RUNTIME_VAL,AI_8_P813_RUNTIME_VAL,AI_8_P814_RUNTIME_VAL,+";

HDWTags17="AI_8_P815_RUNTIME_VAL,AI_8_P816_RUNTIME_VAL,AI_11_P1101_RUNTIME_VAL,AI_11_P1102_RUNTIME_VAL,AI_11_MPE1107_RUNTIME_VAL,+";

HDWTags18="AI_11_MPE1108_RUNTIME_VAL,AI_11_P1109_RUNTIME_VAL,AI_12_BIO_LOADING_P1_RUNTIME_VAL,AI_12_BIO_LOADING_P2_RUNTIME_VAL,+";

HDWTags19="AI_12_P1210_RUNTIME_VAL,AI_12_P1211_RUNTIME_VAL,+";

{AERATION TANKS DATA TRANSFER TO CSV FILE}

HDWTags20="AI_5_DO601_DO_VAL,AI_5_DO602_DO_VAL,AI_5_DO603_DO_VAL,AI_5_DO601_TEMP_VAL,AI_5_DO602_TEMP_VAL,AI_5_DO603_TEMP_VAL,+";

HDWTags21="CA_5_DO601_TEMP_CELSIUS_VAL,CA_5_DO602_TEMP_CELSIUS_VAL,CA_5_DO603_TEMP_CELSIUS_VAL";

{WRITE DATA TO FILE}

HDWWriteFile=1;

ENDIF;

Wonderware documentation for File Name Creation Functions

CreateFilenameFromDate

Creates a filename based on the computer date.

Function:

Result = CreateFilenameFromDate(Format, Prefix, Postfix, DayOffset);

Return value:

The function will return a string that contains the formatted filename based on the date.

Format:

(Message) Using a ‘y’ to represent year, ‘m’ to represent month, and ‘d’ to represent the day, you can mix and match these letters to format the date to how you want it.

For example: ‘mdy’ will format the filename to read ‘month’, then ‘day’, then ‘year’; ‘ymd’ will format the filename to read ‘year’, then ‘month’, then ‘day’; ‘md’ will format the filename to read only ‘month’ and ‘day’.

Prefix:

(Message) This is a value to add to the beginning of the file name (example, the path. ‘C:\MyPath\Logs\’). If you don’t want to add anything, then leave this field blank by entering a set of double quotes ("").

Postfix:

(Message) This is a value to append to the end of the file name (example, the extension ‘.log’). If you don’t want to add anything, then leave this field blank by entering a set of double quotes ("").

DayOffset:

(Integer) This is the number of days to add or subtract from the current day. For example, to see today’s date, enter a zero (0). For tomorrow’s date, enter a one (1). If you want the date from a week ago, enter a minus seven (-7).

Example 1:

This creates a file name to a specific path with yesterday’s date in the month, day, year format.

FilenameMessageTag = CreateFilenameFromDate("mdy","C:\InTouch\DataLogs\",".Log",-1);

If the date is January 1, 2000, then the file name would be C:\InTouch\DataLogs\12311999.Log.

Example 2:

This creates a file name without a path with today’s date in the year, month, day format:

FilenameMessageTag = CreateFilenameFromDate("ymd","",".Log", 0);

If the date is December 31, 1999, then the file name would be 19991231.Log.

Example 3:

This creates a file name with no prefix, no postfix, in month, day format:

FilenameMessageTag = CreateFilenameFromDate( "md", "", "", 0 );

If the date is December 31, 1999, then the file name would be 1231.

ID : 14570 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 44 total Articles.
This page was auto-generated at 12/13/2022 2:34:38 PM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : How To
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Pick Hach WIMS Variables to Import Into
Documentation : How To : Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : How To : WARNING : Version Validation Failed
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Last Run Dates
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test SCADA to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release notes
Documentation : Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Documentation : Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q12097
Documentation : Topics specific to the operation of this interface : Configure WonderWare InTouch HMI
Documentation : Topics specific to the operation of this interface : Configuring the Best Systems to Hach WIMS (bsys2hw) utility
Documentation : Topics specific to the operation of this interface : Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service
Documentation : Topics specific to the operation of this interface : Configuring the HistData to Hach WIMS (histd2hw) Utility
Documentation : Topics specific to the operation of this interface : HISTD2HW Not Logging All Tags (in some cases)
Documentation : Topics specific to the operation of this interface : Release notes for BSYS2HW utility (12277)
Documentation : Topics specific to the operation of this interface : Release notes for HISTD2HW utility (12161)
Documentation : Topics specific to the operation of this interface : Release notes for interface Q12097
Documentation : Topics specific to the operation of this interface : Source Data Example and Description
Documentation : Topics specific to the operation of this interface : Supported variable configurations for interface Q12097
Documentation : Topics specific to the operation of this interface : Using Inteface Browser Q12122
Documentation : Topics specific to the operation of this interface : Wonderware HistData Example Script to CSV


Special Section : Articles : Local Links
This CHM file contains 44 Articles.
This page was auto-generated at 12/13/2022 2:34:39 PM

Local Links
Wonderware HistData Example Script to CSV in Category Documentation : Topics specific to the operation of this interface
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) in Category Documentation : How To
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
WARNING : Version Validation Failed in Category Documentation : How To
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Configuring the Best Systems to Hach WIMS (bsys2hw) utility in Category Documentation : Topics specific to the operation of this interface
Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service in Category Documentation : Topics specific to the operation of this interface
Configuring the HistData to Hach WIMS (histd2hw) Utility in Category Documentation : Topics specific to the operation of this interface
HISTD2HW Not Logging All Tags (in some cases) in Category Documentation : Topics specific to the operation of this interface
Interface Introduction in Category Documentation : Introduction
Automated Import - Last Run Dates in Category Documentation : Main Menu
Test - Test Import All in Category Documentation : Main Menu
Release Notes for Hach WIMS Server-Side Interface Platform in Category Documentation : Release notes
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Release notes for BSYS2HW utility (12277) in Category Documentation : Topics specific to the operation of this interface
Release notes for HISTD2HW utility (12161) in Category Documentation : Topics specific to the operation of this interface
Change Configuration Protection Password in Category Documentation : How To
File - Exit in Category Documentation : Main Menu
Source Data Example and Description in Category Documentation : Topics specific to the operation of this interface
Using Inteface Browser Q12122 in Category Documentation : Topics specific to the operation of this interface
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Test - Source Read Test SCADA to Hach WIMS in Category Documentation : Main Menu
Release notes for interface Q12097 in Category Documentation : Topics specific to the operation of this interface
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Configuration - Source Configuration Q12097 in Category Documentation : Topics specific to the operation of this interface
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
Configure WonderWare InTouch HMI in Category Documentation : Topics specific to the operation of this interface
Supported variable configurations for interface Q12097 in Category Documentation : Topics specific to the operation of this interface
Pick Hach WIMS Variables to Import Into in Category Documentation : How To
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release notes


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
: Hach WIMS Super User Credentials
: Pick Hach WIMS Variables to Import Into
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import
: WARNING : Version Validation Failed


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 1 )
How To ( Sub-Categories : 0 , Articles : 10 )
Main Menu ( Sub-Categories : 0 , Articles : 18 )
Release notes ( Sub-Categories : 0 , Articles : 2 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 13 )

ID : 4P3T8M , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
: How To
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Pick Hach WIMS Variables to Import Into
How To : Step-by-Step Instructions on How to Configure Interface
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
How To : WARNING : Version Validation Failed
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Last Run Dates
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test SCADA to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release notes
Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q12097
Topics specific to the operation of this interface : Configure WonderWare InTouch HMI
Topics specific to the operation of this interface : Configuring the Best Systems to Hach WIMS (bsys2hw) utility
Topics specific to the operation of this interface : Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service
Topics specific to the operation of this interface : Configuring the HistData to Hach WIMS (histd2hw) Utility
Topics specific to the operation of this interface : HISTD2HW Not Logging All Tags (in some cases)
Topics specific to the operation of this interface : Release notes for BSYS2HW utility (12277)
Topics specific to the operation of this interface : Release notes for HISTD2HW utility (12161)
Topics specific to the operation of this interface : Release notes for interface Q12097
Topics specific to the operation of this interface : Source Data Example and Description
Topics specific to the operation of this interface : Supported variable configurations for interface Q12097
Topics specific to the operation of this interface : Using Inteface Browser Q12122
Topics specific to the operation of this interface : Wonderware HistData Example Script to CSV


Sub-tree rooted at Release notes

Sub-tree rooted at Documentation : Release notes
Categories and Articles
: Release Notes for Hach WIMS Server-Side Interface Platform
: Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Last Run Dates
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test SCADA to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q12097
: Configure WonderWare InTouch HMI
: Configuring the Best Systems to Hach WIMS (bsys2hw) utility
: Configuring the Best Systems to Hach WIMS (bsys2hw) utility to run as a Service
: Configuring the HistData to Hach WIMS (histd2hw) Utility
: HISTD2HW Not Logging All Tags (in some cases)
: Release notes for BSYS2HW utility (12277)
: Release notes for HISTD2HW utility (12161)
: Release notes for interface Q12097
: Source Data Example and Description
: Supported variable configurations for interface Q12097
: Using Inteface Browser Q12122
: Wonderware HistData Example Script to CSV